"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var d=Object.create;var l=Object.defineProperty;var u=Object.getOwnPropertyDescriptor;var g=Object.getOwnPropertyNames;var f=Object.getPrototypeOf,m=Object.prototype.hasOwnProperty;var x=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var y=(e,t,r,s)=>{if(t&&typeof t=="object"||typeof t=="function")for(let p of g(t))!m.call(e,p)&&p!==r&&l(e,p,{get:()=>t[p],enumerable:!(s=u(t,p))||s.enumerable});return e};var w=(e,t,r)=>(r=e!=null?d(f(e)):{},y(t||!e||!e.__esModule?l(r,"default",{value:e,enumerable:!0}):r,e));var i=x((B,c)=>{c.exports=Vue});var o=w(i());var _=(e,t)=>{let r=e.__vccOpts||e;for(let[s,p]of t)r[s]=p;return r};var v=(0,o.defineComponent)({__name:"test",setup(e){return(0,o.ref)(30),(t,r)=>((0,o.openBlock)(),(0,o.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,o.createElementVNode)("view",{class:"page"},[(0,o.createElementVNode)("view",{class:"content"},[(0,o.createElementVNode)("view",{class:"header"},[(0,o.createElementVNode)("u-text",{class:"title"},"\u6ED1\u5757\u6D4B\u8BD5")])])])]))}}),b={page:{"":{flex:1,backgroundColor:"#ffffff"}},content:{"":{paddingTop:"30rpx",paddingRight:"30rpx",paddingBottom:"30rpx",paddingLeft:"30rpx"}},header:{"":{marginBottom:"20rpx"}},title:{"":{fontSize:"32rpx",color:"#333333"}},"slider-wrapper":{"":{paddingTop:"20rpx",paddingRight:0,paddingBottom:"20rpx",paddingLeft:0}},"value-text":{"":{marginTop:"10rpx"}}},a=_(v,[["styles",[b]]]);var n=plus.webview.currentWebview();if(n){let e=parseInt(n.id),t="pages/my/test",r={};try{r=JSON.parse(n.__query__)}catch(p){}a.mpType="page";let s=Vue.createPageApp(a,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:r});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...a.styles||[]])),s.mount("#root")}})();
